Technical OverviewAPI Reference
Releases
Immutable published releases created from drafts.
Authorization
oauth openid, profile, emailAuthorizationBearer <token>
In: header
Scope: openid, profile, email
Path Parameters
app_id*string
Query Parameters
cursor?string
limit?integer
Range
-9007199254740991 <= value <= 100sort?string
query?string
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://mcp.getdrio.com/api/v2/apps/string/releases"{
"data": [
{
"id": "string",
"app_id": "string",
"state": "unpublished",
"source_release_id": "string",
"has_changes": true,
"created_at": "string",
"updated_at": "string",
"published_at": "string",
"endpoint": "string",
"actor": {
"id": "string",
"email": "string",
"image": "string",
"name": "string"
}
}
],
"page": {
"has_more": true,
"next_cursor": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"details": null,
"request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
}
}{
"error": {
"code": "string",
"message": "string",
"details": null,
"request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
}
}{
"error": {
"code": "string",
"message": "string",
"details": null,
"request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
}
}Authorization
oauth openid, profile, emailAuthorizationBearer <token>
In: header
Scope: openid, profile, email
Path Parameters
app_id*string
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://mcp.getdrio.com/api/v2/apps/string/releases"{
"release": {
"id": "string",
"app_id": "string",
"state": "unpublished",
"source_release_id": "string",
"has_changes": true,
"created_at": "string",
"updated_at": "string",
"published_at": "string",
"endpoint": "string",
"actor": {
"id": "string",
"email": "string",
"image": "string",
"name": "string"
}
},
"next_draft": {
"id": "string",
"source_release_id": "string",
"has_changes": true,
"created_at": "string",
"updated_at": "string",
"last_edited_at": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"details": null,
"request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
}
}{
"error": {
"code": "string",
"message": "string",
"details": null,
"request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
}
}{
"error": {
"code": "string",
"message": "string",
"details": null,
"request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
}
}{
"error": {
"code": "string",
"message": "string",
"details": null,
"request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
}
}Authorization
oauth openid, profile, emailAuthorizationBearer <token>
In: header
Scope: openid, profile, email
Path Parameters
app_id*string
release_id*string
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://mcp.getdrio.com/api/v2/apps/string/releases/string"{
"release": {
"id": "string",
"app_id": "string",
"state": "unpublished",
"source_release_id": "string",
"has_changes": true,
"created_at": "string",
"updated_at": "string",
"published_at": "string",
"endpoint": "string",
"actor": {
"id": "string",
"email": "string",
"image": "string",
"name": "string"
}
}
}{
"error": {
"code": "string",
"message": "string",
"details": null,
"request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
}
}{
"error": {
"code": "string",
"message": "string",
"details": null,
"request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
}
}{
"error": {
"code": "string",
"message": "string",
"details": null,
"request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
}
}{
"error": {
"code": "string",
"message": "string",
"details": null,
"request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
}
}